package com.icontrols.bridge;


import java.util.ArrayList;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.google.gson.Gson;
import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.icontrols.bridge.common.COMMON_INFO;
import com.icontrols.bridge.common.CommonUtil;
import com.icontrols.bridge.dto.ServiceDetail;
import com.icontrols.bridge.wallpad.IMapMultiSocket;

public class Main {
	private static Logger logger = LoggerFactory.getLogger(Main.class);
	
	public static void main(String[] args) {
		
		logger.info("*************************************************************************");
    	logger.info("*                                                                       *");
    	logger.info("*  *****   *         *******   *          **       *      *    *    *   *");
    	logger.info("*  *       *            *      *          **       *      *    *    *   *");
    	logger.info("*  *       ***         * *     *         *  *   ****      ******    *   *");
    	logger.info("*  *       *          *   *    *        *    *     *      *    *  ***   *");
    	logger.info("*  *****   *         *     *   *       *      *    *      *    *    *   *");
    	logger.info("*       *                      *      *        *   *      ******    *   *");
    	logger.info("*       *                                                               *");
    	logger.info("*       *******                                                         *");
    	logger.info("*                                                       BRIDGE BY PANGS *");
    	logger.info("*************************************************************************");
    	
    	// ʱ 
    	String str = CommonUtil.readFile(CommonUtil.getPropFileDir()); 
    	JsonObject object = CommonUtil.getJsonObject(str);
    	
    	COMMON_INFO.propList = (JsonArray)object.get("services");
    	
    	if(COMMON_INFO.propList == null) {
    		logger.error("   ϴ......");
    		return;
    	}
    	COMMON_INFO.serviceDtailList = new ArrayList<>();
    	
    	for(JsonElement jsonObj : COMMON_INFO.propList) {
    		ServiceDetail service = new Gson().fromJson(jsonObj.toString(), ServiceDetail.class);
    		COMMON_INFO.serviceDtailList.add(service);
    	}
    	
    	if(COMMON_INFO.propList.size() == 0) {
    		logger.error("  ʽϴ....");
    		return; 
    	}
    	
    	StringBuffer bufStr = new StringBuffer();
    	bufStr.append("  \n");
    	for(ServiceDetail service:COMMON_INFO.serviceDtailList)
    		bufStr.append(service.toString()).append("\n");
    	
    	logger.info(bufStr.toString());
    	
    	//   
    	new IMapMultiSocket();
	}

}
